> ## Documentation Index
> Fetch the complete documentation index at: https://docs.awazindia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Segment's Contact

> Delete a single Segment's contact based on the ID supplied



## OpenAPI

````yaml DELETE /segment/contact/delete?id={id}
openapi: 3.1.0
info:
  title: AwazIndia API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.awazindia.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /segment/contact/delete?id={id}:
    delete:
      description: Delete a single Segment's contact based on the ID supplied
      parameters:
        - name: id
          in: path
          description: ID of segment's contact to delete
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Contact deleted
          content: {}
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````